> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve the latest query job of a specific event store

GET https://rest.test.zuora.com/meters/events/stores/{eventStoreId}/jobs/latest

Retrieves the most recent query job executed on a specific event store in Zuora Mediation. It returns metadata such as query type (for example, DELETE), status, record counts, and timestamps.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/mediation/event-store/get-latest-query-job-of-specific-event-store

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `eventStoreId` (long, required) — ID of the event store.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

Successful response with latest event store query job details

- `success` (boolean, optional) — Indicates whether the request was successful.
- `data` (LatestEventStoreJobResponseData, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ProxyBadRequestResponseErrorsItems, optional)
- `success` (boolean, optional)

### 404 Not Found Error

Event store not found

- `success` (boolean, optional) — Whether the API request has succeeded or not.
- `data` (MediationErrorResponseData, optional) — Detailed response information for successful requests (e.g., instance info, job details).
- `error` (MediationErrorResponseError, optional) — Contains error details when the request fails.

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### LatestEventStoreJobResponseData

- `id` (string, optional) — Internal event store query history ID.
- `eventStoreId` (string, optional) — Related event store ID.
- `queryId` (string, optional) — Query ID.
- `status` (integer, optional) — Run status of the job. Possible values: - 5: RUNNING - 6: PAUSED - 7: COMPLETED - 8: FAILED
- `operationType` (string, optional) — Operation type.
- `inputRecordCount` (integer, optional) — Input record count of this query.
- `uniqueRecordCount` (integer, optional) — Unique record count of this query.
- `modifiedRecordCount` (integer, optional) — Modified record count of this query.
- `createdAt` (string, optional) — Created timestamp of the query history.
- `updatedAt` (string, optional) — Updated timestamp of the query history.

### ProxyBadRequestResponseErrorsItems

- `code` (string, optional) — Machine-readable error code identifying the failure type.
- `message` (string, optional) — Human-readable description of the error that provides more context about what went wrong.

### MediationErrorResponseData

Detailed response information for successful requests (e.g., instance info, job details).

- `id` (string, optional) — The instance ID.
- `sessionId` (string, optional) — The session ID of the meter instance.
- `jobId` (string, optional) — The job ID of the meter instance.
- `meterId` (integer, optional) — The ID of the meter.
- `version` (string, optional) — The meter version.
- `revision` (string, optional) — The meter revision.
- `runType` (integer, optional) — The run type of the instance.
- `runTypeDescription` (string, optional) — The description of the run type.
- `startTime` (string, optional) — The start time of the instance.
- `status` (integer, optional) — The job status of the instance.
- `statusDescription` (string, optional) — The status description of the instance.
- `canExportSummary` (boolean, optional) — Whether the instance can export summary information (internal usage).
- `hasLineageEnabled` (boolean, optional) — Whether lineage is enabled for the meter (internal usage).

### MediationErrorResponseError

Contains error details when the request fails.

- `code` (string, optional) — The error reason code (e.g., "70002006" for authorization errors).
- `message` (string, optional) — A human-readable description of the error.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "data": {
    "id": "job-9f8b7c6d-1234-4a56-b789-0a1b2c3d4e5f",
    "eventStoreId": "eventstore-001",
    "queryId": "query-20240612-001",
    "status": 7,
    "operationType": "DELETE",
    "inputRecordCount": 12500,
    "uniqueRecordCount": 12480,
    "modifiedRecordCount": 12480,
    "createdAt": "2026-06-12T14:22:30Z",
    "updatedAt": "2026-06-12T14:25:45Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/meters/events/stores/1/jobs/latest"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/meters/events/stores/1/jobs/latest';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/meters/events/stores/1/jobs/latest"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/meters/events/stores/1/jobs/latest")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/meters/events/stores/1/jobs/latest")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/meters/events/stores/1/jobs/latest', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/meters/events/stores/1/jobs/latest");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/meters/events/stores/1/jobs/latest")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```